Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultChapterIVParagraphTraceType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVParagraphTraceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultChapterIVParagraphTraceType

extends Object
implements Serializable

Java class for ConsultChapterIVParagraphTraceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVParagraphTraceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="ParentChapterName" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
           <attribute name="ParentParagraphName" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultChapterIVParagraphTraceType()`

Method Summary
`org.joda.time.DateTime` | `getCreatedTimestamp()` Gets the value of the createdTimestamp property.
`String` | `getCreatedUserId()` Gets the value of the createdUserId property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getModificationStatus()` Gets the value of the modificationStatus property.
`String` | `getParentChapterName()` Gets the value of the parentChapterName property.
`String` | `getParentParagraphName()` Gets the value of the parentParagraphName property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setCreatedTimestamp(org.joda.time.DateTime value)` Sets the value of the createdTimestamp property.
`void` | `setCreatedUserId(String value)` Sets the value of the createdUserId property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setModificationStatus(String value)` Sets the value of the modificationStatus property.
`void` | `setParentChapterName(String value)` Sets the value of the parentChapterName property.
`void` | `setParentParagraphName(String value)` Sets the value of the parentParagraphName property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultChapterIVParagraphTraceType

    public ConsultChapterIVParagraphTraceType()

Method Detail

### getCreatedTimestamp

    public org.joda.time.DateTime getCreatedTimestamp()

  Gets the value of the createdTimestamp property.

  Returns:
    possible object is `String`

### setCreatedTimestamp

    public void setCreatedTimestamp(org.joda.time.DateTime value)

  Sets the value of the createdTimestamp property.

  Parameters:
    `value` - allowed object is `String`

### getCreatedUserId

    public String getCreatedUserId()

  Gets the value of the createdUserId property.

  Returns:
    possible object is `String`

### setCreatedUserId

    public void setCreatedUserId(String value)

  Sets the value of the createdUserId property.

  Parameters:
    `value` - allowed object is `String`

### getModificationStatus

    public String getModificationStatus()

  Gets the value of the modificationStatus property.

  Returns:
    possible object is `String`

### setModificationStatus

    public void setModificationStatus(String value)

  Sets the value of the modificationStatus property.

  Parameters:
    `value` - allowed object is `String`

### getParentChapterName

    public String getParentChapterName()

  Gets the value of the parentChapterName property.

  Returns:
    possible object is `String`

### setParentChapterName

    public void setParentChapterName(String value)

  Sets the value of the parentChapterName property.

  Parameters:
    `value` - allowed object is `String`

### getParentParagraphName

    public String getParentParagraphName()

  Gets the value of the parentParagraphName property.

  Returns:
    possible object is `String`

### setParentParagraphName

    public void setParentParagraphName(String value)

  Sets the value of the parentParagraphName property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.